10.4 and Ipad

I have os 10.4 (Intel) and just bought an Ipad. Do I need to purchase the entire snow leopard box set ($169)to get the Ipad to work? What's the cheapest way i can do this?

Back To Product

Follow this Question

1 Answer from the Community

  • Answer

    you will need to be running 10.6 Snow Leopard to install iTunes 9.2.1. the only way to upgrade from tiger to SL is through the $169 mac box set.

    Was this useful? Answer 1

    1 of 1 people found this useful

Related Questions